### Method

# Fwupd BiosSetting set_icon

since: 2.1.7

#### Declaration [src]

    void
    fwupd_bios_setting_set_icon (
      FwupdBiosSetting* self,
      const gchar* icon
    )

#### Description [src]

Sets the icon name for this setting.

Available since: 2.1.7

#### Parameters

`icon`

  Type: `const gchar*`

  The icon name.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.